"""
URL configuration for ayushtn project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path
from django.urls import path, include
from baseapp import views as baseview
urlpatterns = [
    path('admin/', admin.site.urls),
    path('', baseview.view_homepage, name='home'),
    path('logout', baseview.page_logout, name='logout'),
    path('login', baseview.view_login, name='login'),
    path('siteadmin/', include(('help.urls_admin','siteadmin'), namespace='siteadmin')),
     path('manage/', include(('help.urls_manage','manage'), namespace='manage')),
    path('base/',include(('baseapp.urls','base'),namespace='base')),
    path('help/',include(('help.urls','help'),namespace='help')),
    path('patient/<int:pid>/consultation/',include(('consult.urls','consultation'),namespace='consultation')),
    path('patient/<int:pid>/diagnoses/',include(('diagnoses.urls','diagnoses'),namespace='diagnoses')),
    path('patient/<int:pid>/medication/',include(('medic.urls','medication'),namespace='medication')),
    path('stageenv/', include(('baseapp.urls_sa','stageenv'), namespace='stageenv')),
    ]
